Subject: Re: Joining Repositories

From: Andreas Ericsson <[email-masked]>
Date: Wed, 18 Jan 2006 15:14:51 +0100

Mathias Waack wrote:
> Hello Petr, 
> 
> thanks for your quick answer, but...
> 
> On Wednesday 18 January 2006 01:58 pm, Petr Baudis wrote:
> 
>>Dear diary, on Wed, Jan 18, 2006 at 01:51:58PM CET, I got a letter
>>where Petr Baudis <[email-masked]> said that...
>>
>>
>>>  But if you want r1/a, r2/b to turn to r/r1/a, r/r2/b, you will have
>>>to rewrite the history of each (and then do the above). One rough
>>>and untested sketch...
>>>
>>>	mkdir r1-rewritten
>>>	cd r1-rewritten
>>>	cp -a ../r1/.git .
>>
>>	mkdir commitmap
>>
>>
>>>	for commit in $(git-rev-list --topo-order HEAD | tac); do
>>>		git-read-tree --prefix=r1/ $commit
> 
> 
> ...git-read-tree doesn't know the parameter --prefix (just downloaded and 
> tried it on 0.99.9i). What version shall I use?
> 

If you're using 0.99.9i you're missing out on the 584 commits that has 
been committed since then. 1.1.3 was released a couple of days ago. I 
suggest you upgrade.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231